NTPCTL(8)

NAME
ntpctl - control the Network Time Protocol daemon

SYNOPSIS
ntpctl [-s all | peers | Sensors | status]

DESCRIPTION
The ntpctl program displays information about the running ntpd(8) daemon.

The options (which may be abbreviated) are as follows:

-s all
    Show all data.

-s peers
    Show the following information about each peer: weight, trustlevel, stratum, number of seconds until the next poll, polling interval in seconds, and offset, network delay and network jitter in milliseconds. When the system clock is synced to a peer, an asterisk is displayed to the left of the weight column for that peer.

-s Sensors
    Show the following information about each sensor: weight, sensor "good" status, stratum, and offset and the configured correction in milliseconds. When the system clock is synced to a sensor, an asterisk is displayed to the left of the weight column for that sensor.

-s status
    Show the status of peers and sensors, and whether the system clock is synced. When the system clock is synced, the stratum is displayed. When the system clock is not synced, the offset of the system clock, as reported by the adjtime(2) system call, is displayed.

FILES
/var/run/ntpd.sock
    Socket file for communication with ntpd(8).

SEE ALSO
adjtime(2), ntpd.conf(5), ntpd(8)

HISTORY
The ntpctl program first appeared in OpenBSD 5.5.